package rozwiazania_zadan.r2.z3_funkcje_konwersje;

import java.util.Scanner;

// Jak uzyć definicji z innej klasy będąc w tym smaym pakiecie?
// Po prostu uzyć nazwy klasy
public class ProgramKonwertujacy {

	public static void main(String[] args) {
		@SuppressWarnings("resource")
		Scanner sc = new Scanner(System.in);
		
		System.out.println("Podaj nazwę operacji");
		System.out.println("  m2k - mile na kilometry");
		System.out.println("  k2m - kilometry na mile");
		System.out.println("  f2c - Fahrenheity na Celcjusze");
		System.out.println("  c2f - Celcjusze na Fahrenheity");
		String operacja = sc.nextLine();
		
		System.out.println("Podaj argument:");
		double arg = sc.nextDouble();
		
		double wynik = 0;
		
		switch(operacja) {
		case "m2k" :
			wynik = KonwersjeJednostek.mile_na_km(arg);
			break;
		case "k2m" : 
			wynik = KonwersjeJednostek.km_na_mile(arg);
			break;
		case "f2c" : 
			wynik = KonwersjeJednostek.far_na_celc(arg);
			break;
		case "c2f" : 
			wynik = KonwersjeJednostek.celc_na_far(arg);
			break;
		}
		
		System.out.println("Wynik wynosi " + wynik);
	}

}
